summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: b9718d4)
raw | patch | inline | side by side (parent: b9718d4)
author | Junio C Hamano <junkio@cox.net> | |
Mon, 17 Jul 2006 20:01:27 +0000 (13:01 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Mon, 17 Jul 2006 20:01:27 +0000 (13:01 -0700) |
When --keep is specified there is no reason to pass --thin to git-fetch-pack,
which are mutually exclusive. This does not hurt because fetch-pack disables
thin transfer when both are given internally, but still is confusing.
Signed-off-by: Junio C Hamano <junkio@cox.net>
which are mutually exclusive. This does not hurt because fetch-pack disables
thin transfer when both are given internally, but still is confusing.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-fetch.sh | patch | blob | history |
diff --git a/git-fetch.sh b/git-fetch.sh
index ee99280a2ab3abdcc340d66661747968a60c84ec..b6a223ee466b69c58027cd0100508e2630fed598 100755 (executable)
--- a/git-fetch.sh
+++ b/git-fetch.sh
update_head_ok=
exec=
upload_pack=
+keep=--thin
while case "$#" in 0) break ;; esac
do
case "$1" in
( : subshell because we muck with IFS
IFS=" $LF"
(
- git-fetch-pack $exec $keep --thin "$remote" $rref || echo failed "$remote"
+ git-fetch-pack $exec $keep "$remote" $rref || echo failed "$remote"
) |
while read sha1 remote_name
do